## org.eclipse.ocl.uml.impl
Class UMLPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.ocl.uml.impl.UMLPackageImpl

All Implemented Interfaces:
  Notifier, EModelElement, ENamedElement, EObject, EPackage, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder, UMLPackage

    public class UMLPackageImpl

extends EPackageImpl
implements UMLPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.ocl.uml.UMLPackage
`UMLPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.ocl.uml.UMLPackage

`ANY_TYPE, ANY_TYPE__ATTRIBUTE, ANY_TYPE__CLIENT_DEPENDENCY, ANY_TYPE__COLLABORATION_USE, ANY_TYPE__EANNOTATIONS, ANY_TYPE__ELEMENT_IMPORT, ANY_TYPE__FEATURE, ANY_TYPE__GENERAL, ANY_TYPE__GENERALIZATION, ANY_TYPE__IMPORTED_MEMBER, ANY_TYPE__INHERITED_MEMBER, ANY_TYPE__IS_ABSTRACT, ANY_TYPE__IS_LEAF, ANY_TYPE__MEMBER, ANY_TYPE__NAME, ANY_TYPE__NAME_EXPRESSION, ANY_TYPE__NAMESPACE, ANY_TYPE__OWNED_COMMENT, ANY_TYPE__OWNED_ELEMENT, ANY_TYPE__OWNED_MEMBER, ANY_TYPE__OWNED_OPERATION, ANY_TYPE__OWNED_RULE, ANY_TYPE__OWNED_TEMPLATE_SIGNATURE, ANY_TYPE__OWNED_USE_CASE, ANY_TYPE__OWNER, ANY_TYPE__OWNING_TEMPLATE_PARAMETER, ANY_TYPE__PACKAGE, ANY_TYPE__PACKAGE_IMPORT, ANY_TYPE__POWERTYPE_EXTENT, ANY_TYPE__QUALIFIED_NAME, ANY_TYPE__REDEFINED_CLASSIFIER, ANY_TYPE__REDEFINED_ELEMENT, ANY_TYPE__REDEFINITION_CONTEXT, ANY_TYPE__REPRESENTATION, ANY_TYPE__SUBSTITUTION, ANY_TYPE__TEMPLATE_BINDING, ANY_TYPE__TEMPLATE_PARAMETER, ANY_TYPE__USE_CASE, ANY_TYPE__VISIBILITY, ANY_TYPE_FEATURE_COUNT, ASSOCIATION_CLASS_CALL_EXP, ASSOCIATION_CLASS_CALL_EXP__CLIENT_DEPENDENCY, ASSOCIATION_CLASS_CALL_EXP__EANNOTATIONS, ASSOCIATION_CLASS_CALL_EXP__END_POSITION, ASSOCIATION_CLASS_CALL_EXP__MARKED_PRE, ASSOCIATION_CLASS_CALL_EXP__NAME, ASSOCIATION_CLASS_CALL_EXP__NAME_EXPRESSION, ASSOCIATION_CLASS_CALL_EXP__NAMESPACE, ASSOCIATION_CLASS_CALL_EXP__NAVIGATION_SOURCE, ASSOCIATION_CLASS_CALL_EXP__OWNED_COMMENT, ASSOCIATION_CLASS_CALL_EXP__OWNED_ELEMENT, ASSOCIATION_CLASS_CALL_EXP__OWNER, ASSOCIATION_CLASS_CALL_EXP__PROPERTY_END_POSITION, ASSOCIATION_CLASS_CALL_EXP__PROPERTY_START_POSITION, ASSOCIATION_CLASS_CALL_EXP__QUALIFIED_NAME, ASSOCIATION_CLASS_CALL_EXP__QUALIFIER, ASSOCIATION_CLASS_CALL_EXP__REFERRED_ASSOCIATION_CLASS, ASSOCIATION_CLASS_CALL_EXP__SOURCE, ASSOCIATION_CLASS_CALL_EXP__START_POSITION, ASSOCIATION_CLASS_CALL_EXP__TYPE, ASSOCIATION_CLASS_CALL_EXP__VISIBILITY, ASSOCIATION_CLASS_CALL_EXP_FEATURE_COUNT, BAG_TYPE, BAG_TYPE__ATTRIBUTE, BAG_TYPE__CLIENT_DEPENDENCY, BAG_TYPE__COLLABORATION_USE, BAG_TYPE__EANNOTATIONS, BAG_TYPE__ELEMENT_IMPORT, BAG_TYPE__ELEMENT_TYPE, BAG_TYPE__END_POSITION, BAG_TYPE__FEATURE, BAG_TYPE__GENERAL, BAG_TYPE__GENERALIZATION, BAG_TYPE__IMPORTED_MEMBER, BAG_TYPE__INHERITED_MEMBER, BAG_TYPE__IS_ABSTRACT, BAG_TYPE__IS_LEAF, BAG_TYPE__KIND, BAG_TYPE__MEMBER, BAG_TYPE__NAME, BAG_TYPE__NAME_EXPRESSION, BAG_TYPE__NAMESPACE, BAG_TYPE__OWNED_ATTRIBUTE, BAG_TYPE__OWNED_COMMENT, BAG_TYPE__OWNED_ELEMENT, BAG_TYPE__OWNED_MEMBER, BAG_TYPE__OWNED_OPERATION, BAG_TYPE__OWNED_RULE, BAG_TYPE__OWNED_TEMPLATE_SIGNATURE, BAG_TYPE__OWNED_USE_CASE, BAG_TYPE__OWNER, BAG_TYPE__OWNING_TEMPLATE_PARAMETER, BAG_TYPE__PACKAGE, BAG_TYPE__PACKAGE_IMPORT, BAG_TYPE__POWERTYPE_EXTENT, BAG_TYPE__QUALIFIED_NAME, BAG_TYPE__REDEFINED_CLASSIFIER, BAG_TYPE__REDEFINED_ELEMENT, BAG_TYPE__REDEFINITION_CONTEXT, BAG_TYPE__REPRESENTATION, BAG_TYPE__START_POSITION, BAG_TYPE__SUBSTITUTION, BAG_TYPE__TEMPLATE_BINDING, BAG_TYPE__TEMPLATE_PARAMETER, BAG_TYPE__TYPE_END_POSITION, BAG_TYPE__TYPE_START_POSITION, BAG_TYPE__USE_CASE, BAG_TYPE__VISIBILITY, BAG_TYPE_FEATURE_COUNT, BOOLEAN_LITERAL_EXP, BOOLEAN_LITERAL_EXP__BOOLEAN_SYMBOL, BOOLEAN_LITERAL_EXP__CLIENT_DEPENDENCY, BOOLEAN_LITERAL_EXP__EANNOTATIONS, BOOLEAN_LITERAL_EXP__END_POSITION, BOOLEAN_LITERAL_EXP__NAME, BOOLEAN_LITERAL_EXP__NAME_EXPRESSION, BOOLEAN_LITERAL_EXP__NAMESPACE, BOOLEAN_LITERAL_EXP__OWNED_COMMENT, BOOLEAN_LITERAL_EXP__OWNED_ELEMENT, BOOLEAN_LITERAL_EXP__OWNER, BOOLEAN_LITERAL_EXP__QUALIFIED_NAME, BOOLEAN_LITERAL_EXP__START_POSITION, BOOLEAN_LITERAL_EXP__TYPE, BOOLEAN_LITERAL_EXP__VISIBILITY, BOOLEAN_LITERAL_EXP_FEATURE_COUNT, CALL_EXP, CALL_EXP__CLIENT_DEPENDENCY, CALL_EXP__EANNOTATIONS, CALL_EXP__END_POSITION, CALL_EXP__NAME, CALL_EXP__NAME_EXPRESSION, CALL_EXP__NAMESPACE, CALL_EXP__OWNED_COMMENT, CALL_EXP__OWNED_ELEMENT, CALL_EXP__OWNER, CALL_EXP__PROPERTY_END_POSITION, CALL_EXP__PROPERTY_START_POSITION, CALL_EXP__QUALIFIED_NAME, CALL_EXP__SOURCE, CALL_EXP__START_POSITION, CALL_EXP__TYPE, CALL_EXP__VISIBILITY, CALL_EXP_FEATURE_COUNT, COLLECTION_ITEM, COLLECTION_ITEM__CLIENT_DEPENDENCY, COLLECTION_ITEM__EANNOTATIONS, COLLECTION_ITEM__ITEM, COLLECTION_ITEM__NAME, COLLECTION_ITEM__NAME_EXPRESSION, COLLECTION_ITEM__NAMESPACE, COLLECTION_ITEM__OWNED_COMMENT, COLLECTION_ITEM__OWNED_ELEMENT, COLLECTION_ITEM__OWNER, COLLECTION_ITEM__QUALIFIED_NAME, COLLECTION_ITEM__TYPE, COLLECTION_ITEM__VISIBILITY, COLLECTION_ITEM_FEATURE_COUNT, COLLECTION_LITERAL_EXP, COLLECTION_LITERAL_EXP__CLIENT_DEPENDENCY, COLLECTION_LITERAL_EXP__EANNOTATIONS, COLLECTION_LITERAL_EXP__END_POSITION, COLLECTION_LITERAL_EXP__KIND, COLLECTION_LITERAL_EXP__NAME, COLLECTION_LITERAL_EXP__NAME_EXPRESSION, COLLECTION_LITERAL_EXP__NAMESPACE, COLLECTION_LITERAL_EXP__OWNED_COMMENT, COLLECTION_LITERAL_EXP__OWNED_ELEMENT, COLLECTION_LITERAL_EXP__OWNER, COLLECTION_LITERAL_EXP__PART, COLLECTION_LITERAL_EXP__QUALIFIED_NAME, COLLECTION_LITERAL_EXP__SIMPLE_RANGE, COLLECTION_LITERAL_EXP__START_POSITION, COLLECTION_LITERAL_EXP__TYPE, COLLECTION_LITERAL_EXP__VISIBILITY, COLLECTION_LITERAL_EXP_FEATURE_COUNT, COLLECTION_LITERAL_PART, COLLECTION_LITERAL_PART__CLIENT_DEPENDENCY, COLLECTION_LITERAL_PART__EANNOTATIONS, COLLECTION_LITERAL_PART__NAME, COLLECTION_LITERAL_PART__NAME_EXPRESSION, COLLECTION_LITERAL_PART__NAMESPACE, COLLECTION_LITERAL_PART__OWNED_COMMENT, COLLECTION_LITERAL_PART__OWNED_ELEMENT, COLLECTION_LITERAL_PART__OWNER, COLLECTION_LITERAL_PART__QUALIFIED_NAME, COLLECTION_LITERAL_PART__TYPE, COLLECTION_LITERAL_PART__VISIBILITY, COLLECTION_LITERAL_PART_FEATURE_COUNT, COLLECTION_RANGE, COLLECTION_RANGE__CLIENT_DEPENDENCY, COLLECTION_RANGE__EANNOTATIONS, COLLECTION_RANGE__FIRST, COLLECTION_RANGE__LAST, COLLECTION_RANGE__NAME, COLLECTION_RANGE__NAME_EXPRESSION, COLLECTION_RANGE__NAMESPACE, COLLECTION_RANGE__OWNED_COMMENT, COLLECTION_RANGE__OWNED_ELEMENT, COLLECTION_RANGE__OWNER, COLLECTION_RANGE__QUALIFIED_NAME, COLLECTION_RANGE__TYPE, COLLECTION_RANGE__VISIBILITY, COLLECTION_RANGE_FEATURE_COUNT, COLLECTION_TYPE, COLLECTION_TYPE__ATTRIBUTE, COLLECTION_TYPE__CLIENT_DEPENDENCY, COLLECTION_TYPE__COLLABORATION_USE, COLLECTION_TYPE__EANNOTATIONS, COLLECTION_TYPE__ELEMENT_IMPORT, COLLECTION_TYPE__ELEMENT_TYPE, COLLECTION_TYPE__END_POSITION, COLLECTION_TYPE__FEATURE, COLLECTION_TYPE__GENERAL, COLLECTION_TYPE__GENERALIZATION, COLLECTION_TYPE__IMPORTED_MEMBER, COLLECTION_TYPE__INHERITED_MEMBER, COLLECTION_TYPE__IS_ABSTRACT, COLLECTION_TYPE__IS_LEAF, COLLECTION_TYPE__KIND, COLLECTION_TYPE__MEMBER, COLLECTION_TYPE__NAME, COLLECTION_TYPE__NAME_EXPRESSION, COLLECTION_TYPE__NAMESPACE, COLLECTION_TYPE__OWNED_ATTRIBUTE, COLLECTION_TYPE__OWNED_COMMENT, COLLECTION_TYPE__OWNED_ELEMENT, COLLECTION_TYPE__OWNED_MEMBER, COLLECTION_TYPE__OWNED_OPERATION, COLLECTION_TYPE__OWNED_RULE, COLLECTION_TYPE__OWNED_TEMPLATE_SIGNATURE, COLLECTION_TYPE__OWNED_USE_CASE, COLLECTION_TYPE__OWNER, COLLECTION_TYPE__OWNING_TEMPLATE_PARAMETER, COLLECTION_TYPE__PACKAGE, COLLECTION_TYPE__PACKAGE_IMPORT, COLLECTION_TYPE__POWERTYPE_EXTENT, COLLECTION_TYPE__QUALIFIED_NAME, COLLECTION_TYPE__REDEFINED_CLASSIFIER, COLLECTION_TYPE__REDEFINED_ELEMENT, COLLECTION_TYPE__REDEFINITION_CONTEXT, COLLECTION_TYPE__REPRESENTATION, COLLECTION_TYPE__START_POSITION, COLLECTION_TYPE__SUBSTITUTION, COLLECTION_TYPE__TEMPLATE_BINDING, COLLECTION_TYPE__TEMPLATE_PARAMETER, COLLECTION_TYPE__TYPE_END_POSITION, COLLECTION_TYPE__TYPE_START_POSITION, COLLECTION_TYPE__USE_CASE, COLLECTION_TYPE__VISIBILITY, COLLECTION_TYPE_FEATURE_COUNT, eCONTENT_TYPE, eINSTANCE, ELEMENT_TYPE, ELEMENT_TYPE__ATTRIBUTE, ELEMENT_TYPE__CLIENT_DEPENDENCY, ELEMENT_TYPE__COLLABORATION_USE, ELEMENT_TYPE__EANNOTATIONS, ELEMENT_TYPE__ELEMENT_IMPORT, ELEMENT_TYPE__FEATURE, ELEMENT_TYPE__GENERAL, ELEMENT_TYPE__GENERALIZATION, ELEMENT_TYPE__IMPORTED_MEMBER, ELEMENT_TYPE__INHERITED_MEMBER, ELEMENT_TYPE__IS_ABSTRACT, ELEMENT_TYPE__IS_LEAF, ELEMENT_TYPE__MEMBER, ELEMENT_TYPE__NAME, ELEMENT_TYPE__NAME_EXPRESSION, ELEMENT_TYPE__NAMESPACE, ELEMENT_TYPE__OWNED_COMMENT, ELEMENT_TYPE__OWNED_ELEMENT, ELEMENT_TYPE__OWNED_MEMBER, ELEMENT_TYPE__OWNED_RULE, ELEMENT_TYPE__OWNED_TEMPLATE_SIGNATURE, ELEMENT_TYPE__OWNED_USE_CASE, ELEMENT_TYPE__OWNER, ELEMENT_TYPE__OWNING_TEMPLATE_PARAMETER, ELEMENT_TYPE__PACKAGE, ELEMENT_TYPE__PACKAGE_IMPORT, ELEMENT_TYPE__POWERTYPE_EXTENT, ELEMENT_TYPE__QUALIFIED_NAME, ELEMENT_TYPE__REDEFINED_CLASSIFIER, ELEMENT_TYPE__REDEFINED_ELEMENT, ELEMENT_TYPE__REDEFINITION_CONTEXT, ELEMENT_TYPE__REPRESENTATION, ELEMENT_TYPE__SUBSTITUTION, ELEMENT_TYPE__TEMPLATE_BINDING, ELEMENT_TYPE__TEMPLATE_PARAMETER, ELEMENT_TYPE__USE_CASE, ELEMENT_TYPE__VISIBILITY, ELEMENT_TYPE_FEATURE_COUNT, eNAME, eNS_PREFIX, eNS_URI, ENUM_LITERAL_EXP, ENUM_LITERAL_EXP__CLIENT_DEPENDENCY, ENUM_LITERAL_EXP__EANNOTATIONS, ENUM_LITERAL_EXP__END_POSITION, ENUM_LITERAL_EXP__NAME, ENUM_LITERAL_EXP__NAME_EXPRESSION, ENUM_LITERAL_EXP__NAMESPACE, ENUM_LITERAL_EXP__OWNED_COMMENT, ENUM_LITERAL_EXP__OWNED_ELEMENT, ENUM_LITERAL_EXP__OWNER, ENUM_LITERAL_EXP__QUALIFIED_NAME, ENUM_LITERAL_EXP__REFERRED_ENUM_LITERAL, ENUM_LITERAL_EXP__START_POSITION, ENUM_LITERAL_EXP__TYPE, ENUM_LITERAL_EXP__VISIBILITY, ENUM_LITERAL_EXP_FEATURE_COUNT, EXPRESSION_IN_OCL, EXPRESSION_IN_OCL__BEHAVIOR, EXPRESSION_IN_OCL__BODY, EXPRESSION_IN_OCL__BODY_EXPRESSION, EXPRESSION_IN_OCL__CLIENT_DEPENDENCY, EXPRESSION_IN_OCL__CONTEXT_VARIABLE, EXPRESSION_IN_OCL__EANNOTATIONS, EXPRESSION_IN_OCL__LANGUAGE, EXPRESSION_IN_OCL__NAME, EXPRESSION_IN_OCL__NAME_EXPRESSION, EXPRESSION_IN_OCL__NAMESPACE, EXPRESSION_IN_OCL__OWNED_COMMENT, EXPRESSION_IN_OCL__OWNED_ELEMENT, EXPRESSION_IN_OCL__OWNER, EXPRESSION_IN_OCL__OWNING_TEMPLATE_PARAMETER, EXPRESSION_IN_OCL__PARAMETER_VARIABLE, EXPRESSION_IN_OCL__QUALIFIED_NAME, EXPRESSION_IN_OCL__RESULT, EXPRESSION_IN_OCL__RESULT_VARIABLE, EXPRESSION_IN_OCL__TEMPLATE_PARAMETER, EXPRESSION_IN_OCL__TYPE, EXPRESSION_IN_OCL__VISIBILITY, EXPRESSION_IN_OCL_FEATURE_COUNT, FEATURE_CALL_EXP, FEATURE_CALL_EXP__CLIENT_DEPENDENCY, FEATURE_CALL_EXP__EANNOTATIONS, FEATURE_CALL_EXP__END_POSITION, FEATURE_CALL_EXP__MARKED_PRE, FEATURE_CALL_EXP__NAME, FEATURE_CALL_EXP__NAME_EXPRESSION, FEATURE_CALL_EXP__NAMESPACE, FEATURE_CALL_EXP__OWNED_COMMENT, FEATURE_CALL_EXP__OWNED_ELEMENT, FEATURE_CALL_EXP__OWNER, FEATURE_CALL_EXP__PROPERTY_END_POSITION, FEATURE_CALL_EXP__PROPERTY_START_POSITION, FEATURE_CALL_EXP__QUALIFIED_NAME, FEATURE_CALL_EXP__SOURCE, FEATURE_CALL_EXP__START_POSITION, FEATURE_CALL_EXP__TYPE, FEATURE_CALL_EXP__VISIBILITY, FEATURE_CALL_EXP_FEATURE_COUNT, IF_EXP, IF_EXP__CLIENT_DEPENDENCY, IF_EXP__CONDITION, IF_EXP__EANNOTATIONS, IF_EXP__ELSE_EXPRESSION, IF_EXP__END_POSITION, IF_EXP__NAME, IF_EXP__NAME_EXPRESSION, IF_EXP__NAMESPACE, IF_EXP__OWNED_COMMENT, IF_EXP__OWNED_ELEMENT, IF_EXP__OWNER, IF_EXP__QUALIFIED_NAME, IF_EXP__START_POSITION, IF_EXP__THEN_EXPRESSION, IF_EXP__TYPE, IF_EXP__VISIBILITY, IF_EXP_FEATURE_COUNT, INTEGER_LITERAL_EXP, INTEGER_LITERAL_EXP__CLIENT_DEPENDENCY, INTEGER_LITERAL_EXP__EANNOTATIONS, INTEGER_LITERAL_EXP__END_POSITION, INTEGER_LITERAL_EXP__INTEGER_SYMBOL, INTEGER_LITERAL_EXP__NAME, INTEGER_LITERAL_EXP__NAME_EXPRESSION, INTEGER_LITERAL_EXP__NAMESPACE, INTEGER_LITERAL_EXP__OWNED_COMMENT, INTEGER_LITERAL_EXP__OWNED_ELEMENT, INTEGER_LITERAL_EXP__OWNER, INTEGER_LITERAL_EXP__QUALIFIED_NAME, INTEGER_LITERAL_EXP__START_POSITION, INTEGER_LITERAL_EXP__TYPE, INTEGER_LITERAL_EXP__VISIBILITY, INTEGER_LITERAL_EXP_FEATURE_COUNT, INVALID_LITERAL_EXP, INVALID_LITERAL_EXP__CLIENT_DEPENDENCY, INVALID_LITERAL_EXP__EANNOTATIONS, INVALID_LITERAL_EXP__END_POSITION, INVALID_LITERAL_EXP__NAME, INVALID_LITERAL_EXP__NAME_EXPRESSION, INVALID_LITERAL_EXP__NAMESPACE, INVALID_LITERAL_EXP__OWNED_COMMENT, INVALID_LITERAL_EXP__OWNED_ELEMENT, INVALID_LITERAL_EXP__OWNER, INVALID_LITERAL_EXP__QUALIFIED_NAME, INVALID_LITERAL_EXP__START_POSITION, INVALID_LITERAL_EXP__TYPE, INVALID_LITERAL_EXP__VISIBILITY, INVALID_LITERAL_EXP_FEATURE_COUNT, INVALID_TYPE, INVALID_TYPE__ATTRIBUTE, INVALID_TYPE__CLIENT_DEPENDENCY, INVALID_TYPE__COLLABORATION_USE, INVALID_TYPE__EANNOTATIONS, INVALID_TYPE__ELEMENT_IMPORT, INVALID_TYPE__FEATURE, INVALID_TYPE__GENERAL, INVALID_TYPE__GENERALIZATION, INVALID_TYPE__IMPORTED_MEMBER, INVALID_TYPE__INHERITED_MEMBER, INVALID_TYPE__IS_ABSTRACT, INVALID_TYPE__IS_LEAF, INVALID_TYPE__MEMBER, INVALID_TYPE__NAME, INVALID_TYPE__NAME_EXPRESSION, INVALID_TYPE__NAMESPACE, INVALID_TYPE__OWNED_COMMENT, INVALID_TYPE__OWNED_ELEMENT, INVALID_TYPE__OWNED_MEMBER, INVALID_TYPE__OWNED_OPERATION, INVALID_TYPE__OWNED_RULE, INVALID_TYPE__OWNED_TEMPLATE_SIGNATURE, INVALID_TYPE__OWNED_USE_CASE, INVALID_TYPE__OWNER, INVALID_TYPE__OWNING_TEMPLATE_PARAMETER, INVALID_TYPE__PACKAGE, INVALID_TYPE__PACKAGE_IMPORT, INVALID_TYPE__POWERTYPE_EXTENT, INVALID_TYPE__QUALIFIED_NAME, INVALID_TYPE__REDEFINED_CLASSIFIER, INVALID_TYPE__REDEFINED_ELEMENT, INVALID_TYPE__REDEFINITION_CONTEXT, INVALID_TYPE__REPRESENTATION, INVALID_TYPE__SUBSTITUTION, INVALID_TYPE__TEMPLATE_BINDING, INVALID_TYPE__TEMPLATE_PARAMETER, INVALID_TYPE__USE_CASE, INVALID_TYPE__VISIBILITY, INVALID_TYPE_FEATURE_COUNT, ITERATE_EXP, ITERATE_EXP__BODY, ITERATE_EXP__CLIENT_DEPENDENCY, ITERATE_EXP__EANNOTATIONS, ITERATE_EXP__END_POSITION, ITERATE_EXP__ITERATOR, ITERATE_EXP__NAME, ITERATE_EXP__NAME_EXPRESSION, ITERATE_EXP__NAMESPACE, ITERATE_EXP__OWNED_COMMENT, ITERATE_EXP__OWNED_ELEMENT, ITERATE_EXP__OWNER, ITERATE_EXP__PROPERTY_END_POSITION, ITERATE_EXP__PROPERTY_START_POSITION, ITERATE_EXP__QUALIFIED_NAME, ITERATE_EXP__RESULT, ITERATE_EXP__SOURCE, ITERATE_EXP__START_POSITION, ITERATE_EXP__TYPE, ITERATE_EXP__VISIBILITY, ITERATE_EXP_FEATURE_COUNT, ITERATOR_EXP, ITERATOR_EXP__BODY, ITERATOR_EXP__CLIENT_DEPENDENCY, ITERATOR_EXP__EANNOTATIONS, ITERATOR_EXP__END_POSITION, ITERATOR_EXP__ITERATOR, ITERATOR_EXP__NAME, ITERATOR_EXP__NAME_EXPRESSION, ITERATOR_EXP__NAMESPACE, ITERATOR_EXP__OWNED_COMMENT, ITERATOR_EXP__OWNED_ELEMENT, ITERATOR_EXP__OWNER, ITERATOR_EXP__PROPERTY_END_POSITION, ITERATOR_EXP__PROPERTY_START_POSITION, ITERATOR_EXP__QUALIFIED_NAME, ITERATOR_EXP__SOURCE, ITERATOR_EXP__START_POSITION, ITERATOR_EXP__TYPE, ITERATOR_EXP__VISIBILITY, ITERATOR_EXP_FEATURE_COUNT, LET_EXP, LET_EXP__CLIENT_DEPENDENCY, LET_EXP__EANNOTATIONS, LET_EXP__END_POSITION, LET_EXP__IN, LET_EXP__NAME, LET_EXP__NAME_EXPRESSION, LET_EXP__NAMESPACE, LET_EXP__OWNED_COMMENT, LET_EXP__OWNED_ELEMENT, LET_EXP__OWNER, LET_EXP__QUALIFIED_NAME, LET_EXP__START_POSITION, LET_EXP__TYPE, LET_EXP__VARIABLE, LET_EXP__VISIBILITY, LET_EXP_FEATURE_COUNT, LITERAL_EXP, LITERAL_EXP__CLIENT_DEPENDENCY, LITERAL_EXP__EANNOTATIONS, LITERAL_EXP__END_POSITION, LITERAL_EXP__NAME, LITERAL_EXP__NAME_EXPRESSION, LITERAL_EXP__NAMESPACE, LITERAL_EXP__OWNED_COMMENT, LITERAL_EXP__OWNED_ELEMENT, LITERAL_EXP__OWNER, LITERAL_EXP__QUALIFIED_NAME, LITERAL_EXP__START_POSITION, LITERAL_EXP__TYPE, LITERAL_EXP__VISIBILITY, LITERAL_EXP_FEATURE_COUNT, LOOP_EXP, LOOP_EXP__BODY, LOOP_EXP__CLIENT_DEPENDENCY, LOOP_EXP__EANNOTATIONS, LOOP_EXP__END_POSITION, LOOP_EXP__ITERATOR, LOOP_EXP__NAME, LOOP_EXP__NAME_EXPRESSION, LOOP_EXP__NAMESPACE, LOOP_EXP__OWNED_COMMENT, LOOP_EXP__OWNED_ELEMENT, LOOP_EXP__OWNER, LOOP_EXP__PROPERTY_END_POSITION, LOOP_EXP__PROPERTY_START_POSITION, LOOP_EXP__QUALIFIED_NAME, LOOP_EXP__SOURCE, LOOP_EXP__START_POSITION, LOOP_EXP__TYPE, LOOP_EXP__VISIBILITY, LOOP_EXP_FEATURE_COUNT, MESSAGE_EXP, MESSAGE_EXP__ARGUMENT, MESSAGE_EXP__CALLED_OPERATION, MESSAGE_EXP__CLIENT_DEPENDENCY, MESSAGE_EXP__EANNOTATIONS, MESSAGE_EXP__END_POSITION, MESSAGE_EXP__NAME, MESSAGE_EXP__NAME_EXPRESSION, MESSAGE_EXP__NAMESPACE, MESSAGE_EXP__OWNED_COMMENT, MESSAGE_EXP__OWNED_ELEMENT, MESSAGE_EXP__OWNER, MESSAGE_EXP__PROPERTY_END_POSITION, MESSAGE_EXP__PROPERTY_START_POSITION, MESSAGE_EXP__QUALIFIED_NAME, MESSAGE_EXP__SENT_SIGNAL, MESSAGE_EXP__START_POSITION, MESSAGE_EXP__TARGET, MESSAGE_EXP__TYPE, MESSAGE_EXP__VISIBILITY, MESSAGE_EXP_FEATURE_COUNT, MESSAGE_TYPE, MESSAGE_TYPE__ATTRIBUTE, MESSAGE_TYPE__CLIENT_DEPENDENCY, MESSAGE_TYPE__COLLABORATION_USE, MESSAGE_TYPE__EANNOTATIONS, MESSAGE_TYPE__ELEMENT_IMPORT, MESSAGE_TYPE__FEATURE, MESSAGE_TYPE__GENERAL, MESSAGE_TYPE__GENERALIZATION, MESSAGE_TYPE__IMPORTED_MEMBER, MESSAGE_TYPE__INHERITED_MEMBER, MESSAGE_TYPE__IS_ABSTRACT, MESSAGE_TYPE__IS_LEAF, MESSAGE_TYPE__MEMBER, MESSAGE_TYPE__NAME, MESSAGE_TYPE__NAME_EXPRESSION, MESSAGE_TYPE__NAMESPACE, MESSAGE_TYPE__OWNED_ATTRIBUTE, MESSAGE_TYPE__OWNED_COMMENT, MESSAGE_TYPE__OWNED_ELEMENT, MESSAGE_TYPE__OWNED_MEMBER, MESSAGE_TYPE__OWNED_OPERATION, MESSAGE_TYPE__OWNED_RULE, MESSAGE_TYPE__OWNED_TEMPLATE_SIGNATURE, MESSAGE_TYPE__OWNED_USE_CASE, MESSAGE_TYPE__OWNER, MESSAGE_TYPE__OWNING_TEMPLATE_PARAMETER, MESSAGE_TYPE__PACKAGE, MESSAGE_TYPE__PACKAGE_IMPORT, MESSAGE_TYPE__POWERTYPE_EXTENT, MESSAGE_TYPE__QUALIFIED_NAME, MESSAGE_TYPE__REDEFINED_CLASSIFIER, MESSAGE_TYPE__REDEFINED_ELEMENT, MESSAGE_TYPE__REDEFINITION_CONTEXT, MESSAGE_TYPE__REFERRED_OPERATION, MESSAGE_TYPE__REFERRED_SIGNAL, MESSAGE_TYPE__REPRESENTATION, MESSAGE_TYPE__SUBSTITUTION, MESSAGE_TYPE__TEMPLATE_BINDING, MESSAGE_TYPE__TEMPLATE_PARAMETER, MESSAGE_TYPE__USE_CASE, MESSAGE_TYPE__VISIBILITY, MESSAGE_TYPE_FEATURE_COUNT, NAVIGATION_CALL_EXP, NAVIGATION_CALL_EXP__CLIENT_DEPENDENCY, NAVIGATION_CALL_EXP__EANNOTATIONS, NAVIGATION_CALL_EXP__END_POSITION, NAVIGATION_CALL_EXP__MARKED_PRE, NAVIGATION_CALL_EXP__NAME, NAVIGATION_CALL_EXP__NAME_EXPRESSION, NAVIGATION_CALL_EXP__NAMESPACE, NAVIGATION_CALL_EXP__NAVIGATION_SOURCE, NAVIGATION_CALL_EXP__OWNED_COMMENT, NAVIGATION_CALL_EXP__OWNED_ELEMENT, NAVIGATION_CALL_EXP__OWNER, NAVIGATION_CALL_EXP__PROPERTY_END_POSITION, NAVIGATION_CALL_EXP__PROPERTY_START_POSITION, NAVIGATION_CALL_EXP__QUALIFIED_NAME, NAVIGATION_CALL_EXP__QUALIFIER, NAVIGATION_CALL_EXP__SOURCE, NAVIGATION_CALL_EXP__START_POSITION, NAVIGATION_CALL_EXP__TYPE, NAVIGATION_CALL_EXP__VISIBILITY, NAVIGATION_CALL_EXP_FEATURE_COUNT, NULL_LITERAL_EXP, NULL_LITERAL_EXP__CLIENT_DEPENDENCY, NULL_LITERAL_EXP__EANNOTATIONS, NULL_LITERAL_EXP__END_POSITION, NULL_LITERAL_EXP__NAME, NULL_LITERAL_EXP__NAME_EXPRESSION, NULL_LITERAL_EXP__NAMESPACE, NULL_LITERAL_EXP__OWNED_COMMENT, NULL_LITERAL_EXP__OWNED_ELEMENT, NULL_LITERAL_EXP__OWNER, NULL_LITERAL_EXP__QUALIFIED_NAME, NULL_LITERAL_EXP__START_POSITION, NULL_LITERAL_EXP__TYPE, NULL_LITERAL_EXP__VISIBILITY, NULL_LITERAL_EXP_FEATURE_COUNT, NUMERIC_LITERAL_EXP, NUMERIC_LITERAL_EXP__CLIENT_DEPENDENCY, NUMERIC_LITERAL_EXP__EANNOTATIONS, NUMERIC_LITERAL_EXP__END_POSITION, NUMERIC_LITERAL_EXP__NAME, NUMERIC_LITERAL_EXP__NAME_EXPRESSION, NUMERIC_LITERAL_EXP__NAMESPACE, NUMERIC_LITERAL_EXP__OWNED_COMMENT, NUMERIC_LITERAL_EXP__OWNED_ELEMENT, NUMERIC_LITERAL_EXP__OWNER, NUMERIC_LITERAL_EXP__QUALIFIED_NAME, NUMERIC_LITERAL_EXP__START_POSITION, NUMERIC_LITERAL_EXP__TYPE, NUMERIC_LITERAL_EXP__VISIBILITY, NUMERIC_LITERAL_EXP_FEATURE_COUNT, OCL_EXPRESSION, OCL_EXPRESSION__CLIENT_DEPENDENCY, OCL_EXPRESSION__EANNOTATIONS, OCL_EXPRESSION__END_POSITION, OCL_EXPRESSION__NAME, OCL_EXPRESSION__NAME_EXPRESSION, OCL_EXPRESSION__NAMESPACE, OCL_EXPRESSION__OWNED_COMMENT, OCL_EXPRESSION__OWNED_ELEMENT, OCL_EXPRESSION__OWNER, OCL_EXPRESSION__QUALIFIED_NAME, OCL_EXPRESSION__START_POSITION, OCL_EXPRESSION__TYPE, OCL_EXPRESSION__VISIBILITY, OCL_EXPRESSION_FEATURE_COUNT, OPERATION_CALL_EXP, OPERATION_CALL_EXP__ARGUMENT, OPERATION_CALL_EXP__CLIENT_DEPENDENCY, OPERATION_CALL_EXP__EANNOTATIONS, OPERATION_CALL_EXP__END_POSITION, OPERATION_CALL_EXP__MARKED_PRE, OPERATION_CALL_EXP__NAME, OPERATION_CALL_EXP__NAME_EXPRESSION, OPERATION_CALL_EXP__NAMESPACE, OPERATION_CALL_EXP__OPERATION_CODE, OPERATION_CALL_EXP__OWNED_COMMENT, OPERATION_CALL_EXP__OWNED_ELEMENT, OPERATION_CALL_EXP__OWNER, OPERATION_CALL_EXP__PROPERTY_END_POSITION, OPERATION_CALL_EXP__PROPERTY_START_POSITION, OPERATION_CALL_EXP__QUALIFIED_NAME, OPERATION_CALL_EXP__REFERRED_OPERATION, OPERATION_CALL_EXP__SOURCE, OPERATION_CALL_EXP__START_POSITION, OPERATION_CALL_EXP__TYPE, OPERATION_CALL_EXP__VISIBILITY, OPERATION_CALL_EXP_FEATURE_COUNT, ORDERED_SET_TYPE, ORDERED_SET_TYPE__ATTRIBUTE, ORDERED_SET_TYPE__CLIENT_DEPENDENCY, ORDERED_SET_TYPE__COLLABORATION_USE, ORDERED_SET_TYPE__EANNOTATIONS, ORDERED_SET_TYPE__ELEMENT_IMPORT, ORDERED_SET_TYPE__ELEMENT_TYPE, ORDERED_SET_TYPE__END_POSITION, ORDERED_SET_TYPE__FEATURE, ORDERED_SET_TYPE__GENERAL, ORDERED_SET_TYPE__GENERALIZATION, ORDERED_SET_TYPE__IMPORTED_MEMBER, ORDERED_SET_TYPE__INHERITED_MEMBER, ORDERED_SET_TYPE__IS_ABSTRACT, ORDERED_SET_TYPE__IS_LEAF, ORDERED_SET_TYPE__KIND, ORDERED_SET_TYPE__MEMBER, ORDERED_SET_TYPE__NAME, ORDERED_SET_TYPE__NAME_EXPRESSION, ORDERED_SET_TYPE__NAMESPACE, ORDERED_SET_TYPE__OWNED_ATTRIBUTE, ORDERED_SET_TYPE__OWNED_COMMENT, ORDERED_SET_TYPE__OWNED_ELEMENT, ORDERED_SET_TYPE__OWNED_MEMBER, ORDERED_SET_TYPE__OWNED_OPERATION, ORDERED_SET_TYPE__OWNED_RULE, ORDERED_SET_TYPE__OWNED_TEMPLATE_SIGNATURE, ORDERED_SET_TYPE__OWNED_USE_CASE, ORDERED_SET_TYPE__OWNER, ORDERED_SET_TYPE__OWNING_TEMPLATE_PARAMETER, ORDERED_SET_TYPE__PACKAGE, ORDERED_SET_TYPE__PACKAGE_IMPORT, ORDERED_SET_TYPE__POWERTYPE_EXTENT, ORDERED_SET_TYPE__QUALIFIED_NAME, ORDERED_SET_TYPE__REDEFINED_CLASSIFIER, ORDERED_SET_TYPE__REDEFINED_ELEMENT, ORDERED_SET_TYPE__REDEFINITION_CONTEXT, ORDERED_SET_TYPE__REPRESENTATION, ORDERED_SET_TYPE__START_POSITION, ORDERED_SET_TYPE__SUBSTITUTION, ORDERED_SET_TYPE__TEMPLATE_BINDING, ORDERED_SET_TYPE__TEMPLATE_PARAMETER, ORDERED_SET_TYPE__TYPE_END_POSITION, ORDERED_SET_TYPE__TYPE_START_POSITION, ORDERED_SET_TYPE__USE_CASE, ORDERED_SET_TYPE__VISIBILITY, ORDERED_SET_TYPE_FEATURE_COUNT, PRIMITIVE_LITERAL_EXP, PRIMITIVE_LITERAL_EXP__CLIENT_DEPENDENCY, PRIMITIVE_LITERAL_EXP__EANNOTATIONS, PRIMITIVE_LITERAL_EXP__END_POSITION, PRIMITIVE_LITERAL_EXP__NAME, PRIMITIVE_LITERAL_EXP__NAME_EXPRESSION, PRIMITIVE_LITERAL_EXP__NAMESPACE, PRIMITIVE_LITERAL_EXP__OWNED_COMMENT, PRIMITIVE_LITERAL_EXP__OWNED_ELEMENT, PRIMITIVE_LITERAL_EXP__OWNER, PRIMITIVE_LITERAL_EXP__QUALIFIED_NAME, PRIMITIVE_LITERAL_EXP__START_POSITION, PRIMITIVE_LITERAL_EXP__TYPE, PRIMITIVE_LITERAL_EXP__VISIBILITY, PRIMITIVE_LITERAL_EXP_FEATURE_COUNT, PRIMITIVE_TYPE, PRIMITIVE_TYPE__ATTRIBUTE, PRIMITIVE_TYPE__CLIENT_DEPENDENCY, PRIMITIVE_TYPE__COLLABORATION_USE, PRIMITIVE_TYPE__EANNOTATIONS, PRIMITIVE_TYPE__ELEMENT_IMPORT, PRIMITIVE_TYPE__FEATURE, PRIMITIVE_TYPE__GENERAL, PRIMITIVE_TYPE__GENERALIZATION, PRIMITIVE_TYPE__IMPORTED_MEMBER, PRIMITIVE_TYPE__INHERITED_MEMBER, PRIMITIVE_TYPE__IS_ABSTRACT, PRIMITIVE_TYPE__IS_LEAF, PRIMITIVE_TYPE__MEMBER, PRIMITIVE_TYPE__NAME, PRIMITIVE_TYPE__NAME_EXPRESSION, PRIMITIVE_TYPE__NAMESPACE, PRIMITIVE_TYPE__OWNED_ATTRIBUTE, PRIMITIVE_TYPE__OWNED_COMMENT, PRIMITIVE_TYPE__OWNED_ELEMENT, PRIMITIVE_TYPE__OWNED_MEMBER, PRIMITIVE_TYPE__OWNED_OPERATION, PRIMITIVE_TYPE__OWNED_RULE, PRIMITIVE_TYPE__OWNED_TEMPLATE_SIGNATURE, PRIMITIVE_TYPE__OWNED_USE_CASE, PRIMITIVE_TYPE__OWNER, PRIMITIVE_TYPE__OWNING_TEMPLATE_PARAMETER, PRIMITIVE_TYPE__PACKAGE, PRIMITIVE_TYPE__PACKAGE_IMPORT, PRIMITIVE_TYPE__POWERTYPE_EXTENT, PRIMITIVE_TYPE__QUALIFIED_NAME, PRIMITIVE_TYPE__REDEFINED_CLASSIFIER, PRIMITIVE_TYPE__REDEFINED_ELEMENT, PRIMITIVE_TYPE__REDEFINITION_CONTEXT, PRIMITIVE_TYPE__REPRESENTATION, PRIMITIVE_TYPE__SUBSTITUTION, PRIMITIVE_TYPE__TEMPLATE_BINDING, PRIMITIVE_TYPE__TEMPLATE_PARAMETER, PRIMITIVE_TYPE__USE_CASE, PRIMITIVE_TYPE__VISIBILITY, PRIMITIVE_TYPE_FEATURE_COUNT, PROPERTY_CALL_EXP, PROPERTY_CALL_EXP__CLIENT_DEPENDENCY, PROPERTY_CALL_EXP__EANNOTATIONS, PROPERTY_CALL_EXP__END_POSITION, PROPERTY_CALL_EXP__MARKED_PRE, PROPERTY_CALL_EXP__NAME, PROPERTY_CALL_EXP__NAME_EXPRESSION, PROPERTY_CALL_EXP__NAMESPACE, PROPERTY_CALL_EXP__NAVIGATION_SOURCE, PROPERTY_CALL_EXP__OWNED_COMMENT, PROPERTY_CALL_EXP__OWNED_ELEMENT, PROPERTY_CALL_EXP__OWNER, PROPERTY_CALL_EXP__PROPERTY_END_POSITION, PROPERTY_CALL_EXP__PROPERTY_START_POSITION, PROPERTY_CALL_EXP__QUALIFIED_NAME, PROPERTY_CALL_EXP__QUALIFIER, PROPERTY_CALL_EXP__REFERRED_PROPERTY, PROPERTY_CALL_EXP__SOURCE, PROPERTY_CALL_EXP__START_POSITION, PROPERTY_CALL_EXP__TYPE, PROPERTY_CALL_EXP__VISIBILITY, PROPERTY_CALL_EXP_FEATURE_COUNT, REAL_LITERAL_EXP, REAL_LITERAL_EXP__CLIENT_DEPENDENCY, REAL_LITERAL_EXP__EANNOTATIONS, REAL_LITERAL_EXP__END_POSITION, REAL_LITERAL_EXP__NAME, REAL_LITERAL_EXP__NAME_EXPRESSION, REAL_LITERAL_EXP__NAMESPACE, REAL_LITERAL_EXP__OWNED_COMMENT, REAL_LITERAL_EXP__OWNED_ELEMENT, REAL_LITERAL_EXP__OWNER, REAL_LITERAL_EXP__QUALIFIED_NAME, REAL_LITERAL_EXP__REAL_SYMBOL, REAL_LITERAL_EXP__START_POSITION, REAL_LITERAL_EXP__TYPE, REAL_LITERAL_EXP__VISIBILITY, REAL_LITERAL_EXP_FEATURE_COUNT, SEQUENCE_TYPE, SEQUENCE_TYPE__ATTRIBUTE, SEQUENCE_TYPE__CLIENT_DEPENDENCY, SEQUENCE_TYPE__COLLABORATION_USE, SEQUENCE_TYPE__EANNOTATIONS, SEQUENCE_TYPE__ELEMENT_IMPORT, SEQUENCE_TYPE__ELEMENT_TYPE, SEQUENCE_TYPE__END_POSITION, SEQUENCE_TYPE__FEATURE, SEQUENCE_TYPE__GENERAL, SEQUENCE_TYPE__GENERALIZATION, SEQUENCE_TYPE__IMPORTED_MEMBER, SEQUENCE_TYPE__INHERITED_MEMBER, SEQUENCE_TYPE__IS_ABSTRACT, SEQUENCE_TYPE__IS_LEAF, SEQUENCE_TYPE__KIND, SEQUENCE_TYPE__MEMBER, SEQUENCE_TYPE__NAME, SEQUENCE_TYPE__NAME_EXPRESSION, SEQUENCE_TYPE__NAMESPACE, SEQUENCE_TYPE__OWNED_ATTRIBUTE, SEQUENCE_TYPE__OWNED_COMMENT, SEQUENCE_TYPE__OWNED_ELEMENT, SEQUENCE_TYPE__OWNED_MEMBER, SEQUENCE_TYPE__OWNED_OPERATION, SEQUENCE_TYPE__OWNED_RULE, SEQUENCE_TYPE__OWNED_TEMPLATE_SIGNATURE, SEQUENCE_TYPE__OWNED_USE_CASE, SEQUENCE_TYPE__OWNER, SEQUENCE_TYPE__OWNING_TEMPLATE_PARAMETER, SEQUENCE_TYPE__PACKAGE, SEQUENCE_TYPE__PACKAGE_IMPORT, SEQUENCE_TYPE__POWERTYPE_EXTENT, SEQUENCE_TYPE__QUALIFIED_NAME, SEQUENCE_TYPE__REDEFINED_CLASSIFIER, SEQUENCE_TYPE__REDEFINED_ELEMENT, SEQUENCE_TYPE__REDEFINITION_CONTEXT, SEQUENCE_TYPE__REPRESENTATION, SEQUENCE_TYPE__START_POSITION, SEQUENCE_TYPE__SUBSTITUTION, SEQUENCE_TYPE__TEMPLATE_BINDING, SEQUENCE_TYPE__TEMPLATE_PARAMETER, SEQUENCE_TYPE__TYPE_END_POSITION, SEQUENCE_TYPE__TYPE_START_POSITION, SEQUENCE_TYPE__USE_CASE, SEQUENCE_TYPE__VISIBILITY, SEQUENCE_TYPE_FEATURE_COUNT, SET_TYPE, SET_TYPE__ATTRIBUTE, SET_TYPE__CLIENT_DEPENDENCY, SET_TYPE__COLLABORATION_USE, SET_TYPE__EANNOTATIONS, SET_TYPE__ELEMENT_IMPORT, SET_TYPE__ELEMENT_TYPE, SET_TYPE__END_POSITION, SET_TYPE__FEATURE, SET_TYPE__GENERAL, SET_TYPE__GENERALIZATION, SET_TYPE__IMPORTED_MEMBER, SET_TYPE__INHERITED_MEMBER, SET_TYPE__IS_ABSTRACT, SET_TYPE__IS_LEAF, SET_TYPE__KIND, SET_TYPE__MEMBER, SET_TYPE__NAME, SET_TYPE__NAME_EXPRESSION, SET_TYPE__NAMESPACE, SET_TYPE__OWNED_ATTRIBUTE, SET_TYPE__OWNED_COMMENT, SET_TYPE__OWNED_ELEMENT, SET_TYPE__OWNED_MEMBER, SET_TYPE__OWNED_OPERATION, SET_TYPE__OWNED_RULE, SET_TYPE__OWNED_TEMPLATE_SIGNATURE, SET_TYPE__OWNED_USE_CASE, SET_TYPE__OWNER, SET_TYPE__OWNING_TEMPLATE_PARAMETER, SET_TYPE__PACKAGE, SET_TYPE__PACKAGE_IMPORT, SET_TYPE__POWERTYPE_EXTENT, SET_TYPE__QUALIFIED_NAME, SET_TYPE__REDEFINED_CLASSIFIER, SET_TYPE__REDEFINED_ELEMENT, SET_TYPE__REDEFINITION_CONTEXT, SET_TYPE__REPRESENTATION, SET_TYPE__START_POSITION, SET_TYPE__SUBSTITUTION, SET_TYPE__TEMPLATE_BINDING, SET_TYPE__TEMPLATE_PARAMETER, SET_TYPE__TYPE_END_POSITION, SET_TYPE__TYPE_START_POSITION, SET_TYPE__USE_CASE, SET_TYPE__VISIBILITY, SET_TYPE_FEATURE_COUNT, STATE_EXP, STATE_EXP__CLIENT_DEPENDENCY, STATE_EXP__EANNOTATIONS, STATE_EXP__END_POSITION, STATE_EXP__NAME, STATE_EXP__NAME_EXPRESSION, STATE_EXP__NAMESPACE, STATE_EXP__OWNED_COMMENT, STATE_EXP__OWNED_ELEMENT, STATE_EXP__OWNER, STATE_EXP__QUALIFIED_NAME, STATE_EXP__REFERRED_STATE, STATE_EXP__START_POSITION, STATE_EXP__TYPE, STATE_EXP__VISIBILITY, STATE_EXP_FEATURE_COUNT, STRING_LITERAL_EXP, STRING_LITERAL_EXP__CLIENT_DEPENDENCY, STRING_LITERAL_EXP__EANNOTATIONS, STRING_LITERAL_EXP__END_POSITION, STRING_LITERAL_EXP__NAME, STRING_LITERAL_EXP__NAME_EXPRESSION, STRING_LITERAL_EXP__NAMESPACE, STRING_LITERAL_EXP__OWNED_COMMENT, STRING_LITERAL_EXP__OWNED_ELEMENT, STRING_LITERAL_EXP__OWNER, STRING_LITERAL_EXP__QUALIFIED_NAME, STRING_LITERAL_EXP__START_POSITION, STRING_LITERAL_EXP__STRING_SYMBOL, STRING_LITERAL_EXP__TYPE, STRING_LITERAL_EXP__VISIBILITY, STRING_LITERAL_EXP_FEATURE_COUNT, TUPLE_LITERAL_EXP, TUPLE_LITERAL_EXP__CLIENT_DEPENDENCY, TUPLE_LITERAL_EXP__EANNOTATIONS, TUPLE_LITERAL_EXP__END_POSITION, TUPLE_LITERAL_EXP__NAME, TUPLE_LITERAL_EXP__NAME_EXPRESSION, TUPLE_LITERAL_EXP__NAMESPACE, TUPLE_LITERAL_EXP__OWNED_COMMENT, TUPLE_LITERAL_EXP__OWNED_ELEMENT, TUPLE_LITERAL_EXP__OWNER, TUPLE_LITERAL_EXP__PART, TUPLE_LITERAL_EXP__QUALIFIED_NAME, TUPLE_LITERAL_EXP__START_POSITION, TUPLE_LITERAL_EXP__TYPE, TUPLE_LITERAL_EXP__VISIBILITY, TUPLE_LITERAL_EXP_FEATURE_COUNT, TUPLE_LITERAL_PART, TUPLE_LITERAL_PART__ATTRIBUTE, TUPLE_LITERAL_PART__CLIENT_DEPENDENCY, TUPLE_LITERAL_PART__EANNOTATIONS, TUPLE_LITERAL_PART__END_POSITION, TUPLE_LITERAL_PART__NAME, TUPLE_LITERAL_PART__NAME_EXPRESSION, TUPLE_LITERAL_PART__NAMESPACE, TUPLE_LITERAL_PART__OWNED_COMMENT, TUPLE_LITERAL_PART__OWNED_ELEMENT, TUPLE_LITERAL_PART__OWNER, TUPLE_LITERAL_PART__QUALIFIED_NAME, TUPLE_LITERAL_PART__START_POSITION, TUPLE_LITERAL_PART__TYPE, TUPLE_LITERAL_PART__TYPE_END_POSITION, TUPLE_LITERAL_PART__TYPE_START_POSITION, TUPLE_LITERAL_PART__VALUE, TUPLE_LITERAL_PART__VISIBILITY, TUPLE_LITERAL_PART_FEATURE_COUNT, TUPLE_TYPE, TUPLE_TYPE__ATTRIBUTE, TUPLE_TYPE__CLIENT_DEPENDENCY, TUPLE_TYPE__COLLABORATION_USE, TUPLE_TYPE__EANNOTATIONS, TUPLE_TYPE__ELEMENT_IMPORT, TUPLE_TYPE__FEATURE, TUPLE_TYPE__GENERAL, TUPLE_TYPE__GENERALIZATION, TUPLE_TYPE__IMPORTED_MEMBER, TUPLE_TYPE__INHERITED_MEMBER, TUPLE_TYPE__IS_ABSTRACT, TUPLE_TYPE__IS_LEAF, TUPLE_TYPE__MEMBER, TUPLE_TYPE__NAME, TUPLE_TYPE__NAME_EXPRESSION, TUPLE_TYPE__NAMESPACE, TUPLE_TYPE__OWNED_ATTRIBUTE, TUPLE_TYPE__OWNED_COMMENT, TUPLE_TYPE__OWNED_ELEMENT, TUPLE_TYPE__OWNED_MEMBER, TUPLE_TYPE__OWNED_OPERATION, TUPLE_TYPE__OWNED_RULE, TUPLE_TYPE__OWNED_TEMPLATE_SIGNATURE, TUPLE_TYPE__OWNED_USE_CASE, TUPLE_TYPE__OWNER, TUPLE_TYPE__OWNING_TEMPLATE_PARAMETER, TUPLE_TYPE__PACKAGE, TUPLE_TYPE__PACKAGE_IMPORT, TUPLE_TYPE__POWERTYPE_EXTENT, TUPLE_TYPE__QUALIFIED_NAME, TUPLE_TYPE__REDEFINED_CLASSIFIER, TUPLE_TYPE__REDEFINED_ELEMENT, TUPLE_TYPE__REDEFINITION_CONTEXT, TUPLE_TYPE__REPRESENTATION, TUPLE_TYPE__SUBSTITUTION, TUPLE_TYPE__TEMPLATE_BINDING, TUPLE_TYPE__TEMPLATE_PARAMETER, TUPLE_TYPE__USE_CASE, TUPLE_TYPE__VISIBILITY, TUPLE_TYPE_FEATURE_COUNT, TYPE_EXP, TYPE_EXP__CLIENT_DEPENDENCY, TYPE_EXP__EANNOTATIONS, TYPE_EXP__END_POSITION, TYPE_EXP__NAME, TYPE_EXP__NAME_EXPRESSION, TYPE_EXP__NAMESPACE, TYPE_EXP__OWNED_COMMENT, TYPE_EXP__OWNED_ELEMENT, TYPE_EXP__OWNER, TYPE_EXP__QUALIFIED_NAME, TYPE_EXP__REFERRED_TYPE, TYPE_EXP__START_POSITION, TYPE_EXP__TYPE, TYPE_EXP__VISIBILITY, TYPE_EXP_FEATURE_COUNT, TYPE_TYPE, TYPE_TYPE__ATTRIBUTE, TYPE_TYPE__CLIENT_DEPENDENCY, TYPE_TYPE__COLLABORATION_USE, TYPE_TYPE__EANNOTATIONS, TYPE_TYPE__ELEMENT_IMPORT, TYPE_TYPE__FEATURE, TYPE_TYPE__GENERAL, TYPE_TYPE__GENERALIZATION, TYPE_TYPE__IMPORTED_MEMBER, TYPE_TYPE__INHERITED_MEMBER, TYPE_TYPE__IS_ABSTRACT, TYPE_TYPE__IS_LEAF, TYPE_TYPE__MEMBER, TYPE_TYPE__NAME, TYPE_TYPE__NAME_EXPRESSION, TYPE_TYPE__NAMESPACE, TYPE_TYPE__OWNED_COMMENT, TYPE_TYPE__OWNED_ELEMENT, TYPE_TYPE__OWNED_MEMBER, TYPE_TYPE__OWNED_OPERATION, TYPE_TYPE__OWNED_RULE, TYPE_TYPE__OWNED_TEMPLATE_SIGNATURE, TYPE_TYPE__OWNED_USE_CASE, TYPE_TYPE__OWNER, TYPE_TYPE__OWNING_TEMPLATE_PARAMETER, TYPE_TYPE__PACKAGE, TYPE_TYPE__PACKAGE_IMPORT, TYPE_TYPE__POWERTYPE_EXTENT, TYPE_TYPE__QUALIFIED_NAME, TYPE_TYPE__REDEFINED_CLASSIFIER, TYPE_TYPE__REDEFINED_ELEMENT, TYPE_TYPE__REDEFINITION_CONTEXT, TYPE_TYPE__REFERRED_TYPE, TYPE_TYPE__REPRESENTATION, TYPE_TYPE__SUBSTITUTION, TYPE_TYPE__TEMPLATE_BINDING, TYPE_TYPE__TEMPLATE_PARAMETER, TYPE_TYPE__USE_CASE, TYPE_TYPE__VISIBILITY, TYPE_TYPE_FEATURE_COUNT, UNLIMITED_NATURAL_LITERAL_EXP, UNLIMITED_NATURAL_LITERAL_EXP__CLIENT_DEPENDENCY, UNLIMITED_NATURAL_LITERAL_EXP__EANNOTATIONS, UNLIMITED_NATURAL_LITERAL_EXP__END_POSITION, UNLIMITED_NATURAL_LITERAL_EXP__INTEGER_SYMBOL, UNLIMITED_NATURAL_LITERAL_EXP__NAME, UNLIMITED_NATURAL_LITERAL_EXP__NAME_EXPRESSION, UNLIMITED_NATURAL_LITERAL_EXP__NAMESPACE, UNLIMITED_NATURAL_LITERAL_EXP__OWNED_COMMENT, UNLIMITED_NATURAL_LITERAL_EXP__OWNED_ELEMENT, UNLIMITED_NATURAL_LITERAL_EXP__OWNER, UNLIMITED_NATURAL_LITERAL_EXP__QUALIFIED_NAME, UNLIMITED_NATURAL_LITERAL_EXP__START_POSITION, UNLIMITED_NATURAL_LITERAL_EXP__TYPE, UNLIMITED_NATURAL_LITERAL_EXP__UNLIMITED, UNLIMITED_NATURAL_LITERAL_EXP__VISIBILITY, UNLIMITED_NATURAL_LITERAL_EXP_FEATURE_COUNT, UNSPECIFIED_VALUE_EXP, UNSPECIFIED_VALUE_EXP__CLIENT_DEPENDENCY, UNSPECIFIED_VALUE_EXP__EANNOTATIONS, UNSPECIFIED_VALUE_EXP__END_POSITION, UNSPECIFIED_VALUE_EXP__NAME, UNSPECIFIED_VALUE_EXP__NAME_EXPRESSION, UNSPECIFIED_VALUE_EXP__NAMESPACE, UNSPECIFIED_VALUE_EXP__OWNED_COMMENT, UNSPECIFIED_VALUE_EXP__OWNED_ELEMENT, UNSPECIFIED_VALUE_EXP__OWNER, UNSPECIFIED_VALUE_EXP__QUALIFIED_NAME, UNSPECIFIED_VALUE_EXP__START_POSITION, UNSPECIFIED_VALUE_EXP__TYPE, UNSPECIFIED_VALUE_EXP__TYPE_END_POSITION, UNSPECIFIED_VALUE_EXP__TYPE_START_POSITION, UNSPECIFIED_VALUE_EXP__VISIBILITY, UNSPECIFIED_VALUE_EXP_FEATURE_COUNT, VARIABLE, VARIABLE__CLIENT_DEPENDENCY, VARIABLE__EANNOTATIONS, VARIABLE__END_POSITION, VARIABLE__INIT_EXPRESSION, VARIABLE__NAME, VARIABLE__NAME_EXPRESSION, VARIABLE__NAMESPACE, VARIABLE__OWNED_COMMENT, VARIABLE__OWNED_ELEMENT, VARIABLE__OWNER, VARIABLE__QUALIFIED_NAME, VARIABLE__REPRESENTED_PARAMETER, VARIABLE__START_POSITION, VARIABLE__TYPE, VARIABLE__TYPE_END_POSITION, VARIABLE__TYPE_START_POSITION, VARIABLE__VISIBILITY, VARIABLE_EXP, VARIABLE_EXP__CLIENT_DEPENDENCY, VARIABLE_EXP__EANNOTATIONS, VARIABLE_EXP__END_POSITION, VARIABLE_EXP__NAME, VARIABLE_EXP__NAME_EXPRESSION, VARIABLE_EXP__NAMESPACE, VARIABLE_EXP__OWNED_COMMENT, VARIABLE_EXP__OWNED_ELEMENT, VARIABLE_EXP__OWNER, VARIABLE_EXP__QUALIFIED_NAME, VARIABLE_EXP__REFERRED_VARIABLE, VARIABLE_EXP__START_POSITION, VARIABLE_EXP__TYPE, VARIABLE_EXP__VISIBILITY, VARIABLE_EXP_FEATURE_COUNT, VARIABLE_FEATURE_COUNT, VOID_TYPE, VOID_TYPE__ATTRIBUTE, VOID_TYPE__CLIENT_DEPENDENCY, VOID_TYPE__COLLABORATION_USE, VOID_TYPE__EANNOTATIONS, VOID_TYPE__ELEMENT_IMPORT, VOID_TYPE__FEATURE, VOID_TYPE__GENERAL, VOID_TYPE__GENERALIZATION, VOID_TYPE__IMPORTED_MEMBER, VOID_TYPE__INHERITED_MEMBER, VOID_TYPE__IS_ABSTRACT, VOID_TYPE__IS_LEAF, VOID_TYPE__MEMBER, VOID_TYPE__NAME, VOID_TYPE__NAME_EXPRESSION, VOID_TYPE__NAMESPACE, VOID_TYPE__OWNED_COMMENT, VOID_TYPE__OWNED_ELEMENT, VOID_TYPE__OWNED_MEMBER, VOID_TYPE__OWNED_OPERATION, VOID_TYPE__OWNED_RULE, VOID_TYPE__OWNED_TEMPLATE_SIGNATURE, VOID_TYPE__OWNED_USE_CASE, VOID_TYPE__OWNER, VOID_TYPE__OWNING_TEMPLATE_PARAMETER, VOID_TYPE__PACKAGE, VOID_TYPE__PACKAGE_IMPORT, VOID_TYPE__POWERTYPE_EXTENT, VOID_TYPE__QUALIFIED_NAME, VOID_TYPE__REDEFINED_CLASSIFIER, VOID_TYPE__REDEFINED_ELEMENT, VOID_TYPE__REDEFINITION_CONTEXT, VOID_TYPE__REPRESENTATION, VOID_TYPE__SUBSTITUTION, VOID_TYPE__TEMPLATE_BINDING, VOID_TYPE__TEMPLATE_PARAMETER, VOID_TYPE__USE_CASE, VOID_TYPE__VISIBILITY, VOID_TYPE_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`protected void` `createEcoreAnnotations()` Initializes the annotations for http://www.eclipse.org/emf/2002/Ecore
`protected void` `createExtendedMetaDataAnnotations()` Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData
`void` `createPackageContents()` Creates the meta-model objects for the package.
`protected void` `createSubsetsAnnotations()` Initializes the annotations for subsets
`EReference` `getAnyType_OwnedOperation()`
`EClass` `getAnyType()`
`EClass` `getAssociationClassCallExp()`
`EClass` `getBagType()`
`EClass` `getBooleanLiteralExp()`
`EClass` `getCallExp()`
`EClass` `getCollectionItem()`
`EClass` `getCollectionLiteralExp()`
`EClass` `getCollectionLiteralPart()`
`EClass` `getCollectionRange()`
`EClass` `getCollectionType()`
`EClass` `getElementType()`
`EClass` `getEnumLiteralExp()`
`EClass` `getExpressionInOCL()`
`EClass` `getFeatureCallExp()`
`EClass` `getIfExp()`
`EClass` `getIntegerLiteralExp()`
`EClass` `getInvalidLiteralExp()`
`EReference` `getInvalidType_OwnedOperation()`
`EClass` `getInvalidType()`
`EClass` `getIterateExp()`
`EClass` `getIteratorExp()`
`EClass` `getLetExp()`
`EClass` `getLiteralExp()`
`EClass` `getLoopExp()`
`EClass` `getMessageExp()`
`EReference` `getMessageType_OwnedAttribute()`
`EReference` `getMessageType_OwnedOperation()`
`EClass` `getMessageType()`
`EClass` `getNavigationCallExp()`
`EClass` `getNullLiteralExp()`
`EClass` `getNumericLiteralExp()`
`EClass` `getOCLExpression()`
`EClass` `getOperationCallExp()`
`EClass` `getOrderedSetType()`
`EClass` `getPrimitiveLiteralExp()`
`EClass` `getPrimitiveType()`
`EClass` `getPropertyCallExp()`
`EClass` `getRealLiteralExp()`
`EClass` `getSequenceType()`
`EClass` `getSetType()`
`EClass` `getStateExp()`
`EClass` `getStringLiteralExp()`
`EClass` `getTupleLiteralExp()`
`EClass` `getTupleLiteralPart()`
`EClass` `getTupleType()`
`EClass` `getTypeExp()`
`EReference` `getTypeType_OwnedOperation()`
`EClass` `getTypeType()`
`UMLFactory` `getUMLFactory()`
`EClass` `getUnlimitedNaturalLiteralExp()`
`EClass` `getUnspecifiedValueExp()`
`EClass` `getVariable()`
`EClass` `getVariableExp()`
`EReference` `getVoidType_OwnedOperation()`
`EClass` `getVoidType()`
`static UMLPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.
`void` `initializePackageContentsGen()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static UMLPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `UMLPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `UMLPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getAnyType

    public EClass getAnyType()

  Specified by:
    `getAnyType` in interface `UMLPackage`
  Returns:
    the meta object for class 'Any Type'.
  See Also:
    `AnyType`

### getAnyType_OwnedOperation

    public EReference getAnyType_OwnedOperation()

  Specified by:
    `getAnyType_OwnedOperation` in interface `UMLPackage`
  Returns:
    the meta object for the containment reference list 'Owned Operation'.
  See Also:
    `AnyType.getOwnedOperations()`, `UMLPackage.getAnyType()`

### getVoidType

    public EClass getVoidType()

  Specified by:
    `getVoidType` in interface `UMLPackage`
  Returns:
    the meta object for class 'Void Type'.
  See Also:
    `VoidType`

### getVoidType_OwnedOperation

    public EReference getVoidType_OwnedOperation()

  Specified by:
    `getVoidType_OwnedOperation` in interface `UMLPackage`
  Returns:
    the meta object for the containment reference list 'Owned Operation'.
  See Also:
    `VoidType.getOwnedOperations()`, `UMLPackage.getVoidType()`

### getInvalidType

    public EClass getInvalidType()

  Specified by:
    `getInvalidType` in interface `UMLPackage`
  Returns:
    the meta object for class 'Invalid Type'.
  See Also:
    `InvalidType`

### getInvalidType_OwnedOperation

    public EReference getInvalidType_OwnedOperation()

  Specified by:
    `getInvalidType_OwnedOperation` in interface `UMLPackage`
  Returns:
    the meta object for the containment reference list 'Owned Operation'.
  See Also:
    `InvalidType.getOwnedOperations()`, `UMLPackage.getInvalidType()`

### getElementType

    public EClass getElementType()

  Specified by:
    `getElementType` in interface `UMLPackage`
  Returns:
    the meta object for class 'Element Type'.
  See Also:
    `ElementType`

### getTypeType

    public EClass getTypeType()

  Specified by:
    `getTypeType` in interface `UMLPackage`
  Returns:
    the meta object for class 'Type Type'.
  See Also:
    `TypeType`

### getTypeType_OwnedOperation

    public EReference getTypeType_OwnedOperation()

  Specified by:
    `getTypeType_OwnedOperation` in interface `UMLPackage`
  Returns:
    the meta object for the containment reference list 'Owned Operation'.
  See Also:
    `TypeType.getOwnedOperations()`, `UMLPackage.getTypeType()`

### getMessageType

    public EClass getMessageType()

  Specified by:
    `getMessageType` in interface `UMLPackage`
  Returns:
    the meta object for class 'Message Type'.
  See Also:
    `MessageType`

### getMessageType_OwnedOperation

    public EReference getMessageType_OwnedOperation()

  Specified by:
    `getMessageType_OwnedOperation` in interface `UMLPackage`
  Returns:
    the meta object for the containment reference list 'Owned Operation'.
  See Also:
    `MessageType.getOwnedOperations()`, `UMLPackage.getMessageType()`

### getMessageType_OwnedAttribute

    public EReference getMessageType_OwnedAttribute()

  Specified by:
    `getMessageType_OwnedAttribute` in interface `UMLPackage`
  Returns:
    the meta object for the containment reference list 'Owned Attribute'.
  See Also:
    `MessageType.getOwnedAttributes()`, `UMLPackage.getMessageType()`

### getPrimitiveType

    public EClass getPrimitiveType()

  Specified by:
    `getPrimitiveType` in interface `UMLPackage`
  Returns:
    the meta object for class 'Primitive Type'.
  See Also:
    `PrimitiveType`

### getCollectionType

    public EClass getCollectionType()

  Specified by:
    `getCollectionType` in interface `UMLPackage`
  Returns:
    the meta object for class 'Collection Type'.
  See Also:
    `CollectionType`

### getTupleType

    public EClass getTupleType()

  Specified by:
    `getTupleType` in interface `UMLPackage`
  Returns:
    the meta object for class 'Tuple Type'.
  See Also:
    `TupleType`

### getBagType

    public EClass getBagType()

  Specified by:
    `getBagType` in interface `UMLPackage`
  Returns:
    the meta object for class 'Bag Type'.
  See Also:
    `BagType`

### getSetType

    public EClass getSetType()

  Specified by:
    `getSetType` in interface `UMLPackage`
  Returns:
    the meta object for class 'Set Type'.
  See Also:
    `SetType`

### getOrderedSetType

    public EClass getOrderedSetType()

  Specified by:
    `getOrderedSetType` in interface `UMLPackage`
  Returns:
    the meta object for class 'Ordered Set Type'.
  See Also:
    `OrderedSetType`

### getSequenceType

    public EClass getSequenceType()

  Specified by:
    `getSequenceType` in interface `UMLPackage`
  Returns:
    the meta object for class 'Sequence Type'.
  See Also:
    `SequenceType`

### getExpressionInOCL

    public EClass getExpressionInOCL()

  Specified by:
    `getExpressionInOCL` in interface `UMLPackage`
  Returns:
    the meta object for class 'Expression In OCL'.
  See Also:
    `ExpressionInOCL`

### getAssociationClassCallExp

    public EClass getAssociationClassCallExp()

  Specified by:
    `getAssociationClassCallExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'Association Class Call Exp'.
  See Also:
    `AssociationClassCallExp`

### getNavigationCallExp

    public EClass getNavigationCallExp()

  Specified by:
    `getNavigationCallExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'Navigation Call Exp'.
  See Also:
    `NavigationCallExp`

### getFeatureCallExp

    public EClass getFeatureCallExp()

  Specified by:
    `getFeatureCallExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'Feature Call Exp'.
  See Also:
    `FeatureCallExp`

### getCallExp

    public EClass getCallExp()

  Specified by:
    `getCallExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'Call Exp'.
  See Also:
    `CallExp`

### getOCLExpression

    public EClass getOCLExpression()

  Specified by:
    `getOCLExpression` in interface `UMLPackage`
  Returns:
    the meta object for class 'OCL Expression'.
  See Also:
    `OCLExpression`

### getBooleanLiteralExp

    public EClass getBooleanLiteralExp()

  Specified by:
    `getBooleanLiteralExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'Boolean Literal Exp'.
  See Also:
    `BooleanLiteralExp`

### getPrimitiveLiteralExp

    public EClass getPrimitiveLiteralExp()

  Specified by:
    `getPrimitiveLiteralExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'Primitive Literal Exp'.
  See Also:
    `PrimitiveLiteralExp`

### getLiteralExp

    public EClass getLiteralExp()

  Specified by:
    `getLiteralExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'Literal Exp'.
  See Also:
    `LiteralExp`

### getCollectionItem

    public EClass getCollectionItem()

  Specified by:
    `getCollectionItem` in interface `UMLPackage`
  Returns:
    the meta object for class 'Collection Item'.
  See Also:
    `CollectionItem`

### getCollectionLiteralPart

    public EClass getCollectionLiteralPart()

  Specified by:
    `getCollectionLiteralPart` in interface `UMLPackage`
  Returns:
    the meta object for class 'Collection Literal Part'.
  See Also:
    `CollectionLiteralPart`

### getCollectionLiteralExp

    public EClass getCollectionLiteralExp()

  Specified by:
    `getCollectionLiteralExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'Collection Literal Exp'.
  See Also:
    `CollectionLiteralExp`

### getCollectionRange

    public EClass getCollectionRange()

  Specified by:
    `getCollectionRange` in interface `UMLPackage`
  Returns:
    the meta object for class 'Collection Range'.
  See Also:
    `CollectionRange`

### getEnumLiteralExp

    public EClass getEnumLiteralExp()

  Specified by:
    `getEnumLiteralExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'Enum Literal Exp'.
  See Also:
    `EnumLiteralExp`

### getIfExp

    public EClass getIfExp()

  Specified by:
    `getIfExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'If Exp'.
  See Also:
    `IfExp`

### getIntegerLiteralExp

    public EClass getIntegerLiteralExp()

  Specified by:
    `getIntegerLiteralExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'Integer Literal Exp'.
  See Also:
    `IntegerLiteralExp`

### getNumericLiteralExp

    public EClass getNumericLiteralExp()

  Specified by:
    `getNumericLiteralExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'Numeric Literal Exp'.
  See Also:
    `NumericLiteralExp`

### getUnlimitedNaturalLiteralExp

    public EClass getUnlimitedNaturalLiteralExp()

  Specified by:
    `getUnlimitedNaturalLiteralExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'Unlimited Natural Literal Exp'.
  See Also:
    `UnlimitedNaturalLiteralExp`

### getInvalidLiteralExp

    public EClass getInvalidLiteralExp()

  Specified by:
    `getInvalidLiteralExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'Invalid Literal Exp'.
  See Also:
    `InvalidLiteralExp`

### getIterateExp

    public EClass getIterateExp()

  Specified by:
    `getIterateExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'Iterate Exp'.
  See Also:
    `IterateExp`

### getLoopExp

    public EClass getLoopExp()

  Specified by:
    `getLoopExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'Loop Exp'.
  See Also:
    `LoopExp`

### getIteratorExp

    public EClass getIteratorExp()

  Specified by:
    `getIteratorExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'Iterator Exp'.
  See Also:
    `IteratorExp`

### getLetExp

    public EClass getLetExp()

  Specified by:
    `getLetExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'Let Exp'.
  See Also:
    `LetExp`

### getMessageExp

    public EClass getMessageExp()

  Specified by:
    `getMessageExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'Message Exp'.
  See Also:
    `MessageExp`

### getNullLiteralExp

    public EClass getNullLiteralExp()

  Specified by:
    `getNullLiteralExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'Null Literal Exp'.
  See Also:
    `NullLiteralExp`

### getOperationCallExp

    public EClass getOperationCallExp()

  Specified by:
    `getOperationCallExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'Operation Call Exp'.
  See Also:
    `OperationCallExp`

### getPropertyCallExp

    public EClass getPropertyCallExp()

  Specified by:
    `getPropertyCallExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'Property Call Exp'.
  See Also:
    `PropertyCallExp`

### getRealLiteralExp

    public EClass getRealLiteralExp()

  Specified by:
    `getRealLiteralExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'Real Literal Exp'.
  See Also:
    `RealLiteralExp`

### getStateExp

    public EClass getStateExp()

  Specified by:
    `getStateExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'State Exp'.
  See Also:
    `StateExp`

### getStringLiteralExp

    public EClass getStringLiteralExp()

  Specified by:
    `getStringLiteralExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'String Literal Exp'.
  See Also:
    `StringLiteralExp`

### getTupleLiteralExp

    public EClass getTupleLiteralExp()

  Specified by:
    `getTupleLiteralExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'Tuple Literal Exp'.
  See Also:
    `TupleLiteralExp`

### getTupleLiteralPart

    public EClass getTupleLiteralPart()

  Specified by:
    `getTupleLiteralPart` in interface `UMLPackage`
  Returns:
    the meta object for class 'Tuple Literal Part'.
  See Also:
    `TupleLiteralPart`

### getTypeExp

    public EClass getTypeExp()

  Specified by:
    `getTypeExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'Type Exp'.
  See Also:
    `TypeExp`

### getUnspecifiedValueExp

    public EClass getUnspecifiedValueExp()

  Specified by:
    `getUnspecifiedValueExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'Unspecified Value Exp'.
  See Also:
    `UnspecifiedValueExp`

### getVariable

    public EClass getVariable()

  Specified by:
    `getVariable` in interface `UMLPackage`
  Returns:
    the meta object for class 'Variable'.
  See Also:
    `Variable`

### getVariableExp

    public EClass getVariableExp()

  Specified by:
    `getVariableExp` in interface `UMLPackage`
  Returns:
    the meta object for class 'Variable Exp'.
  See Also:
    `VariableExp`

### getUMLFactory

    public UMLFactory getUMLFactory()

  Specified by:
    `getUMLFactory` in interface `UMLPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

  The generated implementation is extended by adding me as a child of the empty root `OCL` package.

### initializePackageContentsGen

    public void initializePackageContentsGen()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

### createSubsetsAnnotations

    protected void createSubsetsAnnotations()

  Initializes the annotations for subsets.

### createExtendedMetaDataAnnotations

    protected void createExtendedMetaDataAnnotations()

  Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.

### createEcoreAnnotations

    protected void createEcoreAnnotations()

  Initializes the annotations for http://www.eclipse.org/emf/2002/Ecore.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.